#include <stdio.h>
#include <stdlib.h>

int medijana(int *niz, int len){
  for(int i = 0; i < len - 1; i ++){
    for(int j = i + 1; j < len; j ++){
      if(niz[i] > niz[j]){
        int tmp = niz[i];
        niz[i] = niz[j];
        niz[j] = tmp;
      }
    }
  }
  return niz[len/2];
}

int min(int *niz, int len){
  int min = niz[0];
  for(int i = 0; i < len; i ++){
    if(niz[i] < min){
      min = niz[i];
    }
  }
  return min;
}

void print_niz(int *niz, int len){
  for(int i = 0; i < len; i ++){
    printf("%d ", niz[i]);
  }
  printf("\n");
}

int postoji(int *niz, int n){
  int postoji = 0;
  for(int i = 0; i < n; i ++){
    if(niz[i] == n){
      postoji = 1;
      break;
    }
  }
  return postoji;
}

int *shift(int *niz, int *len, int index){
  int *niz_2;
  niz_2 = (int *)malloc(sizeof(int)* (*len + 1));
  for(int i = 0; i < *len; i ++){
    niz_2[i] = niz[i];
  }
  for(int i = *len; i > index; i --){
    niz_2[i] = niz_2[i - 1];
  }
  *len = *len + 1;
  return niz_2;
}

int *umetanje(int *niz, int index, int *len, int broj){
  niz = shift(niz, len, index);
  niz[index] = broj;
  return niz;
}

int max(int *niz, int len){
  int max = niz[0];
  for(int i = 0; i < len; i ++){
    if(niz[i] > max){
      max = niz[i];
    }
  }
  return max;
}

int main(){
  
  int N,Q;
  scanf("%d %d", &N, &Q);
  
  int *A,*B;
  A = (int*)malloc(N*sizeof(int));
  B = (int*)malloc(Q*(sizeof(int)));

  for(int i = 0; i < N; i ++){
    scanf("%d", &A[i]);
  }

  for(int i = 0; i < Q; i ++){
    scanf("%d", &B[i]);
  }
  for(int i = 0; i < Q; i ++){
    int brojac = 0;
    int N_tmp = N;
    int *A_tmp;
    A_tmp = (int *)malloc(sizeof(int)*N_tmp);
    A_tmp = A;
    while(medijana(A_tmp, N_tmp) != B[i]){
      if(postoji(A_tmp, B[i])){
        if(B[i] > medijana(A_tmp, N_tmp)){
          A_tmp = umetanje(A_tmp, N_tmp - 1, &N_tmp, max(A_tmp, N_tmp) + 1);
        }
        else{
          A_tmp = umetanje(A, 0, &N_tmp, min(A_tmp, N_tmp) - 1);
        }
        brojac ++;
      }
      else{
        A_tmp = umetanje(A_tmp, 0, &N_tmp, B[i]);
        brojac ++;
        for(int i = 0; i < N_tmp - 1; i ++){
          for(int j = i + 1; j < N_tmp; j ++){
            if(A_tmp[i] > A_tmp[j]){
              int tmp = A_tmp[i];
              A_tmp[i] = A_tmp[j];
              A_tmp[j] = tmp;
            }
          }
        }
      }
    }
    printf("%d\n", brojac);
  }
  return 0;
}